#include <stdio.h>			// to use printf
#include "serial.h"
#include "types.h"
#include "loopback.h"
#include "TCPIPcore.h"
#include "socket.h"

void loopback_tcps(SOCKET s, uint16 port, uint8 * data_buf, uint16 mode)
{

  uint16 len;
  switch (getSn_SR(s))
	{
	case SOCK_ESTABLISHED:						/* if connection is established */
		if ((len = getSn_RX_RSR(s)) > 0) 			/* check Rx data */
		{
			len = recv(s, data_buf, len);			/* read the received data */
			send(s, data_buf, len);				/* send the received data */
		}
		break;
	case SOCK_CLOSE_WAIT:                           		/* If the client request to close */
		disconnect(s);
		break;

	case SOCK_CLOSED:                                               /* if a socket is closed */
		close(s);
		socket(s,Sn_MR_TCP,port,0x00);
		break;

	case SOCK_INIT:                                               /* if a socket is initiated */
		listen(s);
		break;

	}
}

