#ifndef __SERIAL_H
#define __SERIAL_H
#define X2MODE				// For MCU supported X2 Mode

#define __SERIAL_UNUSED   // If defined with "  __SERIAL_UNUSED", actually it's not to be compiled " __SERIAL_UNUSED Block"

void InitSerial(void);			/* Initialization of Serial Port(Ex.Baud Rate setting) */
int putchar(int outchar);

#ifndef __SERIAL_UNUSED
void GetString(char* str);		/* Read 1 line string from Serial. */
void PutByte(unsigned char byData);		/* Output 1 character through Serial Port */
unsigned char GetByte(void);		/* Read 1 character from Serial. */
char IsPressedKey();				/* Check to input to Serial or not. */
void PutHTOA(unsigned char byData);		/* Output 1 Byte Hexadecimal digit to 2Byte ASCII character.  ex) 0x2E --> "2E" */
void PutITOA(unsigned int byData);		/* Output 2 Byte Integer to 4Byte ASCII character ex) 0x12FD --> "12FD" */
void PutLTOA(unsigned long byData);	/* Output 4 Byte Long to 8Byte ASCII character. ex) 0x001234FF --> "001234FF" */
void PutString(char *Str);
void PutStringLn(char *Str);
#endif  //  end __SERIAL_UNUSED


#endif  //  end __SERIAL_H
